org.eclipse.ecf.provider.comm

## Interface ISynchAsynchConnection

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, IAsynchConnection, IConnection, ISynchConnection

All Known Implementing Classes:
  Client, SSLClient

    public interface ISynchAsynchConnection
    extends IAsynchConnection, ISynchConnection

A connection instance that has both asynchronous and synchronous messaging capabilities

### Method Summary

### Methods inherited from interface org.eclipse.ecf.provider.comm.IAsynchConnection

`sendAsynch`

### Methods inherited from interface org.eclipse.ecf.provider.comm.ISynchConnection

`sendSynch`

### Methods inherited from interface org.eclipse.ecf.provider.comm.IConnection

`addListener, connect, disconnect, getLocalID, getProperties, isConnected, isStarted, removeListener, start, stop`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`